#!/usr/bin/env python3

import pandas as pd;
import numpy as np;

df = pd.read_csv('lxf.csv');

# Change column name
df.rename({'value':'random'}, axis=1, inplace=True)
print(df.head(2))

# Select rows with indices 1 and 5
df.loc[[1, 5]]

# Select all rows starting from row with index 7
df.loc[7:]

# Select based on criteria
selected = df.loc[(df['year'] == 2020) & (df.tutorials >= 10)]

# Create a REAL copy of entire df
df_copy = df.copy()

# Create a real copy for three columns
df_dates = df[['id', 'year', 'month']].copy()

# Create a new column based on pages value
df['Big'] = np.where(df['pages']> 100, True, False)
print(df.head(2))

# Delete a column from df
df.drop('random', axis=1, inplace=True)
print(df.head(2))
